using System;

class Program {
    static void Main(string[] args) {
     int  pokusaj = int.Parse(Console.ReadLine());
     long  ucenik = 0;
     long  banana = 0;
     long  grupa = 0;
     long  pogrupi = 0;
     long  ostatak = 0;
     string[] izlaz = new string[pokusaj];
      for(int i = 0;i<pokusaj;i++){
        string[] unos = Console.ReadLine().Split();
        ucenik = long.Parse(unos[0]);
        banana = long.Parse(unos[1]);
        grupa = long.Parse(unos[2]);
        pogrupi = ucenik/grupa;
        ostatak = ucenik % grupa;
        if((pogrupi*(pogrupi+1)/2)*grupa + (pogrupi+1)*ostatak <= banana){     
        izlaz[i] = "Tak";
        }else{
         izlaz[i]="Nie";
        }
      }
    for(int i = 0;i<pokusaj;i++){
      Console.WriteLine(izlaz[i]);
    }
      }
      
}